bladerf_sink_c.h File Reference
`#include <gnuradio/sync_block.h>`
`#include "sink_iface.h"`
`#include "bladerf_common.h"`
`#include "osmosdr/ranges.h"`
Include dependency graph for bladerf_sink_c.h:

Go to the source code of this file.

## Classes

class | bladerf_sink_c

## Functions

bladerf_sink_c_sptr | make_bladerf_sink_c (const std::string &args="")
| Return a shared_ptr to a new instance of bladerf_sink_c.

## Function Documentation

## make_bladerf_sink_c()

bladerf_sink_c_sptr make_bladerf_sink_c | ( | const std::string & | args = `""` | ) |

Return a shared_ptr to a new instance of bladerf_sink_c.

To avoid accidental use of raw pointers, bladerf_sink_c's constructor is private. make_bladerf_sink_c is the public interface for creating new instances.